[
	/* ==========================================================
		Generic delete trait
		requires tablename and id to be set
	========================================================== */
	
	define std_delete => trait {
		require tablename, id
	
		provide delete(id::integer=.id) => {
			#id <= 0 ? return
			protect => {
				handle_error => {
					return error_currenterror
				}
				.id == 0 ? .id = #id
				inline($gv_sql,-SQL='DELETE FROM '+.tablename+' WHERE id = '+#id+' LIMIT 1')
				/inline
				return
			}	
		}
	}
	
]